## org.eclipse.emf.mapping.presentation
Class MappingEditor.MyDecoratorAdapterFactory

    java.lang.Object
      org.eclipse.emf.edit.provider.DecoratorAdapterFactory
          org.eclipse.emf.mapping.presentation.MappingEditor.MyDecoratorAdapterFactory

All Implemented Interfaces:
  AdapterFactory, ComposeableAdapterFactory, IChangeNotifier, IDisposable

Direct Known Subclasses:
  MappingEditor.OverviewDecoratorAdapterFactory

Enclosing class:
  MappingEditor

    protected class MappingEditor.MyDecoratorAdapterFactory

extends DecoratorAdapterFactory

Field Summary
`protected Action` `action`
`protected boolean` `exclude`
`protected java.util.Collection<java.lang.Object>` `listeningItemProviderDecorators`
`protected Action` `multipleColumnsAction`

Fields inherited from class org.eclipse.emf.edit.provider.DecoratorAdapterFactory
`changeNotifier, decoratedAdapterFactory, itemProviderDecorators, parentAdapterFactory`

Constructor Summary
`MappingEditor.MyDecoratorAdapterFactory(AdapterFactory adapterFactory, Action action, boolean exclude)`
`MappingEditor.MyDecoratorAdapterFactory(AdapterFactory adapterFactory, Action action, boolean exclude, Action multipleColumnsAction)`

Method Summary
`java.lang.Object` `adapt(java.lang.Object o, java.lang.Object t)` All adapter creation is delegated to this method, which yields decorated item providers.
`protected IItemProviderDecorator` `createItemProviderDecorator(java.lang.Object object, java.lang.Object type)` This is called when a new decorator is needed by `DecoratorAdapterFactory.adapt(Object,Object)`.
`protected void` `doMappedObjectRefresh(java.lang.Object object)`
`protected boolean` `doMappingRefresh(java.lang.Object object)`
`void` `fireNotifyChanged(Notification note)` This calls `notifyChanged` for each listener.
`java.util.List<?>` `getPrimaryMappedObjects(Mapping mapping)`
`java.util.List<?>` `getSecondaryMappedObjects(Mapping mapping)`
`boolean` `isFactoryForType(java.lang.Object t)` This just delegates to the `DecoratorAdapterFactory.decoratedAdapterFactory`.

Methods inherited from class org.eclipse.emf.edit.provider.DecoratorAdapterFactory
`adapt, adaptAllNew, adaptNew, addListener, dispose, getDecoratedAdapterFactory, getRootAdapterFactory, removeListener, setDecoratedAdapterFactory, setParentAdapterFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listeningItemProviderDecorators

    protected java.util.Collection<java.lang.Object> listeningItemProviderDecorators

### action

    protected Action action

### multipleColumnsAction

    protected Action multipleColumnsAction

### exclude

    protected boolean exclude

Constructor Detail

### MappingEditor.MyDecoratorAdapterFactory

    public MappingEditor.MyDecoratorAdapterFactory(AdapterFactory adapterFactory,
                                                   Action action,
                                                   boolean exclude,
                                                   Action multipleColumnsAction)

### MappingEditor.MyDecoratorAdapterFactory

    public MappingEditor.MyDecoratorAdapterFactory(AdapterFactory adapterFactory,
                                                   Action action,
                                                   boolean exclude)

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object t)

  Description copied from class: `DecoratorAdapterFactory`
  This just delegates to the `DecoratorAdapterFactory.decoratedAdapterFactory`.

  Specified by:
    `isFactoryForType` in interface `AdapterFactory`
  Overrides:
    `isFactoryForType` in class `DecoratorAdapterFactory`
  Parameters:
    `t` - the key indicating the type of adapter in question.
  Returns:
    whether this factory supports adapters for the given type.
  See Also:
    `Adapter.isAdapterForType(java.lang.Object)`

### adapt

    public java.lang.Object adapt(java.lang.Object o,
                                  java.lang.Object t)

  Description copied from class: `DecoratorAdapterFactory`
  All adapter creation is delegated to this method, which yields decorated item providers. It hooks up the decorators created by `DecoratorAdapterFactory.createItemProviderDecorator(java.lang.Object, java.lang.Object)` to the adapters returned by `DecoratorAdapterFactory.decoratedAdapterFactory`.

  Specified by:
    `adapt` in interface `AdapterFactory`
  Overrides:
    `adapt` in class `DecoratorAdapterFactory`
  Parameters:
    `o` - arbitrary object to adapt.
    `t` - the key indicating the type of adapter required.
  Returns:
    either an associated adapter, the object itself, or `null` if the type isn't supported or the object cannot be adapted to it.

### doMappingRefresh

    protected boolean doMappingRefresh(java.lang.Object object)

### doMappedObjectRefresh

    protected void doMappedObjectRefresh(java.lang.Object object)

### getPrimaryMappedObjects

    public java.util.List<?> getPrimaryMappedObjects(Mapping mapping)

### getSecondaryMappedObjects

    public java.util.List<?> getSecondaryMappedObjects(Mapping mapping)

### createItemProviderDecorator

    protected IItemProviderDecorator createItemProviderDecorator(java.lang.Object object,
                                                                 java.lang.Object type)

  Description copied from class: `DecoratorAdapterFactory`
  This is called when a new decorator is needed by `DecoratorAdapterFactory.adapt(Object,Object)`.

  Specified by:
    `createItemProviderDecorator` in class `DecoratorAdapterFactory`

### fireNotifyChanged

    public void fireNotifyChanged(Notification note)

  Description copied from interface: `IChangeNotifier`
  This calls `notifyChanged` for each listener.

  Specified by:
    `fireNotifyChanged` in interface `IChangeNotifier`
  Overrides:
    `fireNotifyChanged` in class `DecoratorAdapterFactory`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.